# IContentSaliencyStrategy

Interface in [Yarn.Saliency](/api/csharp/yarn.saliency.md)

## Summary

Contains methods for choosing a piece of content from a collection of options.

```csharp
public interface IContentSaliencyStrategy
```

## Methods

| Name                                                                                                                                                                       | Description                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ContentWasSelected(ContentSaliencyOption)](/api/csharp/yarn.saliency/yarn.saliency.icontentsaliencystrategy/yarn.saliency.icontentsaliencystrategy.contentwasselected.md) | Called by Yarn Spinner to indicate that a piece of salient content has been selected, and this system should update any state related to how it selects content. |
| [QueryBestContent(IEnumerable)](/api/csharp/yarn.saliency/yarn.saliency.icontentsaliencystrategy/yarn.saliency.icontentsaliencystrategy.querybestcontent.md)               | Chooses an item from content that is the most appropriate (or *salient* ) for the user's current context.                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.saliency/yarn.saliency.icontentsaliencystrategy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
